function data = lastANA(fil)
    fid = fopen(fil);
    
    unders = findstr(fil, '_');
    fil(unders) = ' ';
    
    entry.filename = fil;
    entry.comment = fgetl(fid);
    entry.bruker = fgetl(fid);
    entry.date = fgetl(fid);
    number = str2num(fgetl(fid));
    
    fgetl(fid);
    dataLoad = textscan(fid, '%f', number);
    entry.angle = dataLoad{1};
    
    fgetl(fid);
    dataName = fgetl(fid);
    dataLoad = textscan(fid, '%f  %f', number);
    re = dataLoad(1);
    im = dataLoad(2);
    entry.s21 = re{1} + j*im{1};
    
    data = entry;
    fclose(fid);
