function x = plot_s11()

figure('Position', [150 150 600 450])
hold on

svar = lastEMDScti('Z:\Prosjekt_PCBantenne\Innsamlet_data\iifa\maalt_original.cti');
plot(svar.freq,20*log10(abs(svar.s11)),'LineWidth',2)

svar = lastEMDScti('Z:\Prosjekt_PCBantenne\Innsamlet_data\iifa\sim_2_it.cti');
plot(svar.freq,20*log10(abs(svar.s11)),'c','LineWidth',2)

svar = lastEMDScti('Z:\Prosjekt_PCBantenne\Innsamlet_data\iifa\sim_6_it.cti');
plot(svar.freq,20*log10(abs(svar.s11)),'m','LineWidth',2)

svar = lastEMDScti('Z:\Prosjekt_PCBantenne\Innsamlet_data\iifa\sim_10_it.cti');
plot(svar.freq,20*log10(abs(svar.s11)),'g','LineWidth',2)

svar = lastEMDScti('Z:\Prosjekt_PCBantenne\Innsamlet_data\iifa\sim_14_it.cti');
plot(svar.freq,20*log10(abs(svar.s11)),'r','LineWidth',2)

axis([7*10^8,13*10^8,-25,0])
xlabel('frekvens, [Hz]')
ylabel('S_{11}, [dB]')

%plot(svar.freq,-10,'k:','LineWidth',1)
%plot(8.68*10^8,-10,'kd','LineWidth',1)

legend('Original Simulering','Min_Mesh_12it','Min_Mesh_14it','Min_Mesh_20it')
