function x = plot_s11_TI()

figure('Position', [150 150 600 450])
hold on

svar = lasts2p('E:\VNA TI\VNA_jordplan\STOR4.S2P');
plot(1e9*svar.freq,20*log10(svar.mag),'LineWidth',2)
hold on

svar = lasts2p('E:\VNA TI\VNA_jordplan\STOR12.S2P');
plot(1e9*svar.freq,20*log10(svar.mag),'r','LineWidth',2)

svar = lasts2p('E:\VNA TI\VNA_jordplan\STORUSIS.S2P');
plot(1e9*svar.freq,20*log10(svar.mag),'y','LineWidth',2)

svar = lasts2p('E:\VNA TI\VNA_jordplan\STOR21.S2P');
plot(1e9*svar.freq,20*log10(svar.mag),'g','LineWidth',2)

svar = lasts2p('E:\VNA TI\VNA_jordplan\STOR25.S2P');
plot(1e9*svar.freq,20*log10(svar.mag),'m','LineWidth',2)

svar = lasts2p('E:\VNA TI\VNA_jordplan\UTENVING.S2P');
plot(1e9*svar.freq,20*log10(svar.mag),'c','LineWidth',2)

legend('4 mm.','12 mm.','17 mm.','21 mm.','25 mm.','25 mm. uten jordplan p sidene')
axis([7*10^8,10*10^8,-20,0])
xlabel('frekvens, [Hz]')
ylabel('S_{11}, [dB]')



