function ut=smithPlot(ref1,l1,ref2,l2,ref3,l3,ref4,l4)
    
    figure('Position', [100 100 450 435])
    axis equal;
    axis off;
    axis([-1 1 -1 1])
    %plot(-1,-1,'w')
    hold on
    
    if ref1.type == 'cti'
        '#1 er CTI'
        a = 10^9;
        polar(angle(ref1.s11),abs(ref1.s11));
    elseif ref1.type == 'S2P'
        '#1 er S2P'
        a = 1;
        polar((pi/180)*ref1.angle,ref1.mag)
    else
        'Ukjent format'
    end
    
    if nargin>2
    if ref2.type == 'cti'
        '#2 er CTI'
        b = 10^9;
        polar(angle(ref2.s11),abs(ref2.s11),'r');
    elseif ref2.type == 'S2P'
        '#2 er S2P'
        b = 1;
        polar((pi/180)*ref2.angle,ref2.mag,'r')
    else
        'Ukjent format'
    end
    end
    
    if nargin>4
    if ref3.type == 'cti'
        '#3 er CTI'
        c = 10^9;
        polar(angle(ref3.s11),abs(ref3.s11),'g');
    elseif ref3.type == 'S2P'
        '#3 er S2P'
        c = 1;
        polar((pi/180)*ref3.angle,ref3.mag,'g')
    else
        'Ukjent format'
    end
    end
    
    if nargin>6
    if ref4.type == 'cti'
        '#4 er CTI'
        d = 10^9;
        polar(angle(ref4.s11),abs(ref4.s11),'c');
    elseif ref4.type == 'S2P'
        '#4 er S2P'
        d = 1;
        polar((pi/180)*ref4.angle,ref4.mag,'c')
    else
        'Ukjent format'
    end
    end
    
    if nargin == 2
        legend(l1)
    elseif nargin == 4
        legend(l1,l2)
    elseif nargin == 6
        legend(l1,l2,l3)
    else
        legend(l1,l2,l3,l4)
    end
    
    
    n=0;
    m=0;
    while(m < 0.868*a)
        n = n+1;
        m = ref1.freq(n);
    end
    if a > 1
        polar(angle(ref1.s11(n-1)),abs(ref1.s11(n-1)),'d');
    else
        polar((pi/180)*ref1.angle(n-1),ref1.mag(n-1),'d');
    end
    
    if nargin>2
        n=0;
        m=0;
        while(m < 0.868*b)
            n = n+1;
            m = ref2.freq(n);
        end
    if b > 1
        polar(angle(ref2.s11(n-1)),abs(ref2.s11(n-1)),'rd');
    else
        polar((pi/180)*ref2.angle(n-1),ref2.mag(n-1),'rd');
    end
    end
    
    if nargin>4
        n=0;
        m=0;
        while(m < 0.868*c)
            n = n+1;
            m = ref3.freq(n);
        end
    if c > 1
        polar(angle(ref3.s11(n-1)),abs(ref3.s11(n-1)),'gd');
    else
        polar((pi/180)*ref3.angle(n-1),ref3.mag(n-1),'gd');
    end
    end

    if nargin>6
        n=0;
        m=0;
        while(m < 0.868*d)
            n = n+1;
            m = ref4.freq(n);
        end
    if d > 1
        polar(angle(ref4.s11(n-1)),abs(ref4.s11(n-1)),'cd');
    else
        polar((pi/180)*ref4.angle(n-1),ref4.mag(n-1),'cd');
    end
    end
    
    scDraw('m')
    
    axis off
return